ADOdb

Database Abstraction Layer for PHP

User Tools

Site Tools


v5:database:firebird

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
v5:database:firebird [2020/01/13 13:08]
dregad Add tier2 tag
v5:database:firebird [2021/03/27 10:37] (current)
dregad [Firebird] remove v6 tag
Line 1: Line 1:
 ====== Firebird & Interbase====== ====== Firebird & Interbase======
 ~~NOTOC~~ ~~NOTOC~~
-The status of the drivers below, with their competing access to what is effectively the same database is currently unknown.  
---------------------------------------- 
  
-==== Interbase ==== 
-<WRAP right box round 300px> 
-== Specification == 
-^Driver Name|ibase| 
-^Data Provider|ibase| 
-^Status|Inactive((This driver is not actively supported or enhanced by ADOdb project members, but you can provide fixes and enhancements if you have the expertise))| 
-^Windows|Yes| 
-^Unix|Yes| 
-^ADOdb V5|Yes| 
-^ADOdb V6|Yes| 
-</WRAP> 
-This driver provides access to the interbase driver. Its compatibilty with current versions of the database is not known.  
-{{tag>[interbase dormant tier2]}} 
---------------------------------------- 
 ==== Firebird ==== ==== Firebird ====
 <WRAP right box round 300px> <WRAP right box round 300px>
Line 29: Line 13:
 ^ADOdb V6|Yes| ^ADOdb V6|Yes|
 </WRAP> </WRAP>
-This driver extends the [[v5:database:firebird#ibase|interbase]] driver. It is currently under redevelopment by an ADOdb community contributor. For more information on this, see the Issue Tracker on [[https://github.com/ADOdb/ADOdb/issues/201|Github]] +PHP Drivers for the [[https://firebirdsql.org/|Firebird DBMS]] are now hosted on [[https://github.com/FirebirdSQL/php-firebird/|Github]]. Native mode drivers for PHP7.4+ are available for both Windows and Linux
-=== PDO Driver === +
-In order to avoid the problems explained above, Use of the [[v5:database:pdo#firebird|PDO driver for Firebird]] is recommendedThe PDO driver supports+
  
 +The current ADOdb driver for Firebird is based on the original Interbase driver. It is currently under redevelopment by an ADOdb community contributor. For more information on this, see the Issue Tracker on [[https://github.com/ADOdb/ADOdb/issues/201|Github]]. There is also a functional [[v6:database:pdo#firebird|PDO driver for Firebird]] available. Both versions support:
  
   * Firebird 3   * Firebird 3
   * Dialog version 3   * Dialog version 3
   * PHP 7   * PHP 7
- 
- 
  
 {{tag>[firebird active tier2]}} {{tag>[firebird active tier2]}}
  
----------------------------------------------- +==== Embarcadero Interbase ====
- +
-==== Borland Interbase ====+
 <WRAP right box round 300px> <WRAP right box round 300px>
 == Specification == == Specification ==
Line 55: Line 34:
 ^ADOdb V6|Yes| ^ADOdb V6|Yes|
 </WRAP> </WRAP>
-This driver extends the [[v5:database:firebird#ibase|interbase]] driver and provides access to the Borland (now Embarcaderoversion of interbase driver. Its compatibilty with current versions of the database is not known. +This driver provides access to the Embarcadero closed source version of the [[https://www.embarcadero.com/products/interbase/|Interbase]] RDBMS. Its compatibility with current versions of the database is not known. It is unknown if there is any PHP7 support for this database or if the Firebird PHP database drivers will work 
 {{tag>[embarcadero borland dormant tier2]}} {{tag>[embarcadero borland dormant tier2]}}
 +
v5/database/firebird.1578917332.txt.gz · Last modified: 2020/01/13 13:08 by dregad